
Redmine - Defect #20543

Mail handler: don't allow override of some attributes by default

2015-08-17 12:18 - Alexander Ryabinovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 3.1.0

Description

  Environment:

  Redmine version                3.1.0.stable

  Ruby version                   2.0.0-p645 (2015-04-13) [i386-mingw32]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               SQLServer

 1. I replied to email notification from Redmine about the issue (with "RE: [test - Work #1198] in subject):

Issue #1198 has been reported by Ryabinovskiy Alexander.

Work #1198: test issue from email

•    Author: Ryabinovskiy Alexander

•    Status: New

•    Priority: Low

•    Assignee: Developer2

•    Category: 

•    Target version:

Project: test2 

Test issue description

 2. I ran command on server:

rake redmine:email:receive_pop3 unknown_user=accept host=comp.local port=110 username=redmine@comp

.local password=XXX allow_override=project,tracker,priority project=test

 3. Issue #1198 was updated: Status, Priority, Target version, Assignee was changed, and Project did not. But I used only 

allow_override=project,tracker,priority option!

Related issues:

Copied from Redmine - Defect #20454: Mail handler: unwanted assignment to a g... Closed

Associated revisions

Revision 14680 - 2015-10-17 10:00 - Jean-Philippe Lang

Mail handler: no attributes overridable by default (#20543).

Revision 14681 - 2015-10-17 11:08 - Jean-Philippe Lang

Mail Handler: add support for allow_override=all (#20543).

History

#1 - 2015-08-17 12:18 - Alexander Ryabinovskiy

- Copied from Defect #20454: Mail handler: unwanted assignment to a group occurs added

#2 - 2015-09-13 16:29 - Jean-Philippe Lang

- Target version changed from 3.1.1 to 3.2.0
#3 - 2015-10-17 11:11 - Jean-Philippe Lang

- Subject changed from Mail handler: allow_override option does not work to Mail handler: don't allow override of some attributes by default

- Status changed from New to Closed

- Resolution set to Fixed

Indeed, some attributes were always overridable and this was not documented. This behaviour is now removed, all attributes have to be explicitly

listed with the allow_override option to be overridable.

For those who want all attributes to be overridable, allow_override=all can now be used.

#4 - 2015-10-19 15:26 - Deoren Moor

Jean-Philippe Lang wrote:

Indeed, some attributes were always overridable and this was not documented. This behaviour is now removed, all attributes have to be

explicitly listed with the allow_override option to be overridable.

For those who want all attributes to be overridable, allow_override=all can now be used.

 I've updated the RedmineReceivingEmails page to match these changes. Thanks for fixing this.
